Bug 1124873 - Can't delete orphaned packages via WebUI
Summary: Can't delete orphaned packages via WebUI
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 2.1
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space27
TreeView+ depends on / blocked
 
Reported: 2014-07-30 14:04 UTC by Daniel Souvignier
Modified: 2017-09-28 18:06 UTC (History)
2 users (show)

Fixed In Version: 2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-17 13:01:23 UTC


Attachments (Terms of Use)

Description Daniel Souvignier 2014-07-30 14:04:51 UTC
Description of problem:
When I try to delete packages that are in no channels, I get a 500 Internal Server Error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go to Channels -> Manage Software Channels -> Manage Software Packages -> List Packages in no Channels
2. Select all or just a few, doesn't matter
3. Confirm delete

Actual results:
Long time loading, then 500 Internal Server Error

Expected results:
Packages should be deleted

Additional info:

Comment 1 Tomas Lestach 2014-11-07 16:24:31 UTC
Daniel, I managed to delete a package in no channel without any issues (on my Spacewalk nightly).
What version of Spacewalk do you use? Could you paste the traceback from /var/log/tomcat*/catalina.out?

Comment 2 Daniel Souvignier 2014-11-17 13:01:23 UTC
Hi Thomas,

I'm closing this one as we upgraded to version 2.2 and the bug is magically gone. I can't provide any logs from back then anymore. Thanks for the help!

Regards,
Daniel

Comment 3 Eric Herget 2017-09-28 18:06:22 UTC
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.


Note You need to log in before you can comment on or make changes to this bug.